@charset "UTF-8";
@import url("animate_b696338.css");
* {
  margin: 0;
  padding: 0;
  -webkit-tap-highlight-color: transparent;
  -webkit-tap-highlight-color: transparent;
}

html, body {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
  background-color: #fff;
}

img {
  display: block;
}

#mycanvas {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.page {
  width: 100%;
  height: 100%;
  background: url(../images/bg.jpg?v=1) no-repeat;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.page .title {
  background: url(../images/title.png) no-repeat;
  width: 5.38rem;
  height: 2.18rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: .5rem;
  left: 50%;
  margin-left: -webkit-calc(5.38rem / -2);
  margin-left: -moz-calc(5.38rem / -2);
  margin-left: calc(5.38rem / -2);
  -webkit-animation: indexBtn .8s linear infinite normal;
}

.page .tips1 {
  background: url(../images/tips1.png) no-repeat;
  width: 4.61rem;
  height: .22rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 2.65rem;
  left: 50%;
  margin-left: -webkit-calc(4.61rem / -2);
  margin-left: -moz-calc(4.61rem / -2);
  margin-left: calc(4.61rem / -2);
}

.page .handle_box {
  width: 5.25rem;
  height: 5.25rem;
  background-color: #fff;
  position: absolute;
  top: 3.1rem;
  left: 50%;
  margin-left: -webkit-calc(5.25rem / -2);
  margin-left: -moz-calc(5.25rem / -2);
  margin-left: calc(5.25rem / -2);
}

.page .handle_box #mainView {
  width: 5rem;
  height: 5rem;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -webkit-calc(5rem / -2);
  margin-left: -moz-calc(5rem / -2);
  margin-left: calc(5rem / -2);
  margin-top: -webkit-calc(5rem / -2);
  margin-top: -moz-calc(5rem / -2);
  margin-top: calc(5rem / -2);
}

.page .handle_box .handle_bg {
  width: 5rem;
  height: 5rem;
  display: none;
}

.page .tips2 {
  background: url(../images/tips2.png?v=1) no-repeat;
  width: 4.17rem;
  height: .22rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 8.5rem;
  left: 50%;
  margin-left: -webkit-calc(4.17rem / -2);
  margin-left: -moz-calc(4.17rem / -2);
  margin-left: calc(4.17rem / -2);
}

.page .save_btn {
  background: url(../images/save-btn.png) no-repeat;
  width: 4.1rem;
  height: 1.83rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 8.8rem;
  left: 50%;
  margin-left: -webkit-calc(4.1rem / -2);
  margin-left: -moz-calc(4.1rem / -2);
  margin-left: calc(4.1rem / -2);
  -webkit-animation: indexBtn 1s linear infinite normal;
}

.save_pup_box {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9;
}

.save_pup_box .share_tips {
  background: url(../images/share-tips.png) no-repeat;
  width: 4.7rem;
  height: .54rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: .2rem;
  right: .1rem;
  -webkit-animation: saveTips .8s linear infinite normal;
}

.save_pup_box .save_tips {
  background: url(../images/save-tips.png) no-repeat;
  width: 3.38rem;
  height: .31rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 2.4rem;
  left: 50%;
  margin-left: -webkit-calc(3.38rem / -2);
  margin-left: -moz-calc(3.38rem / -2);
  margin-left: calc(3.38rem / -2);
}

.save_pup_box .handle_img {
  width: 5.25rem;
  height: 5.25rem;
  background-color: #fff;
  position: absolute;
  top: 3.1rem;
  left: 50%;
  margin-left: -webkit-calc(5.25rem / -2);
  margin-left: -moz-calc(5.25rem / -2);
  margin-left: calc(5.25rem / -2);
}

.save_pup_box .handle_img img {
  width: 5rem;
  height: 5rem;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -webkit-calc(5rem / -2);
  margin-left: -moz-calc(5rem / -2);
  margin-left: calc(5rem / -2);
  margin-top: -webkit-calc(5rem / -2);
  margin-top: -moz-calc(5rem / -2);
  margin-top: calc(5rem / -2);
}

.save_pup_box .again_btn {
  background: url(../images/again-btn.png) no-repeat;
  width: 4.1rem;
  height: 1.83rem;
  -webkit-background-size: 100% 100%;
          background-size: 100% 100%;
  position: absolute;
  top: 8.5rem;
  left: 50%;
  margin-left: -webkit-calc(4.1rem / -2);
  margin-left: -moz-calc(4.1rem / -2);
  margin-left: calc(4.1rem / -2);
}

.cover {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 29, 81, 0.9);
  top: 0;
  left: 0;
}

.pup_in {
  -webkit-animation: mask_anim .5s forwards;
  -moz-animation: mask_anim .5s forwards;
       animation: mask_anim .5s forwards;
}

.pup_out {
  -webkit-animation: mask_anim_out .5s forwards;
  -moz-animation: mask_anim_out .5s forwards;
       animation: mask_anim_out .5s forwards;
}

@-webkit-keyframes mask_anim {
  0% {
    opacity: 0;
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@-webkit-keyframes mask_anim_out {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}

@-webkit-keyframes indexBtn {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@-webkit-keyframes saveTips {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
  }
  50% {
    -webkit-transform: translate3d(0, 5px, 0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0);
  }
}

@-webkit-keyframes zoomIn {
  from {
    opacity: 0;
    -webkit-transform: scale3d(0.3, 0.3, 0.3);
    transform: scale3d(0.3, 0.3, 0.3);
  }
  50% {
    opacity: 1;
  }
}

/*iphoneX、iphoneXs*/
/*即: 设备屏幕可见宽度为375px， 可见高度为812px及设备像素比为3*/
/*iphone Xs Max*/
/*iphone XR*/
#loadingContainer {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #0661d3;
  z-index: 999;
}

#loadingContainer .loadingBox {
  width: 2.25rem;
  height: 2.25rem;
  background-repeat: no-repeat;
  position: absolute;
  top: 45%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
     -moz-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

#loadingContainer .loadingIcon {
  width: 2.25rem;
  height: 2.25rem;
  background-repeat: no-repeat;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-background-size: cover;
          background-size: cover;
}

#loadingContainer .loadingIcon img {
  width: 100%;
  height: 100%;
}

#loadingContainer .loadingText {
  width: 100%;
  position: absolute;
  bottom: -.8rem;
  text-align: center;
  font-size: 0.35rem;
  color: #fff;
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.music {
  background-image: url(../images/music-close.png);
  width: 1.01rem;
  height: .74rem;
  -webkit-background-size: cover;
          background-size: cover;
  position: absolute;
  top: .2rem;
  right: .1rem;
  z-index: 11;
}

.music.open {
  background-image: url(../images/music.png);
}
